%define name gftp
%define version 1.13
%define release 4
%define prefix /usr

Summary: Multithreaded FTP client for X Windows

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Url: http://www.newwave.net/~masneyb/
Source: %{name}-%{version}.tar.gz
Source1: gftp.desktop
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: gtk+ >= 1.2.0

Patch: gftp-1.13-fixrc.patch

%changelog

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 1.13

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- patch to fix a segfault reported by Chris Evans <chris@ferret.lmh.ox.ac.uk>

* Tue Feb 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.12

* Wed Feb 10 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file

%description
gFTP is a multithreaded FTP client for X Windows written using Gtk. It
allows to have simultaneous downloads, resuming of interrupted file
transfers, file transfer queues, a very nice connection manager and
many more features.

%prep
%setup -q

%patch -p1  -b .fixrc

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make PREFIX=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet
install -c -m 664 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet

%files
%doc  README TODO CHANGELOG COPYING COPYING.LIB eplf.txt rfc959.txt
%attr(755,root,root) %{prefix}/bin/gftp
%{prefix}/share/gnome/apps/Internet/gftp.desktop
%{prefix}/share/gftp

%clean
rm -r $RPM_BUILD_ROOT


